def createPipelineJob(String jobName, String repoUrl, String credentialsID, String srcBranch, String jenkinsFilePath){
	pipelineJob(jobName) {
		definition {
			cpsScm {
				scm {
					git {
						remote {
							name(jobName)
							url(repoUrl)
							credentials(credentialsID)
						}
						branch(srcBranch)
					}
					scriptPath(jenkinsFilePath)
				}
			}
		}
	}
}

def createFolder(String folderName){
	folder(folderName) {
		displayName(folderName)
		description(folderName + " folder")
	}
}

def buildPipelineJobs(){
	def repoUrl = "https://gitlab.mynisum.com/nhussain/jenkins-learning-project.git"
	def folderName = "my-project"
	createFolder(folderName)
	createPipelineJob(folderName+"/"+"jenkins-job-dsl", repoUrl, "gitlab-ci-creds", "master", "Jenkinsfile")
}

buildPipelineJobs()
